Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.addon.pdf3d.PDF3DAdvancedSetting Class Reference

Inherits SystemIDisposable.

## Public Types
enum | PDF3DAnimationStyle { PDF3DAnimationStyle.e_3DAnimationStyleNone = 0, PDF3DAnimationStyle.e_3DAnimationStyleLoop = 1, PDF3DAnimationStyle.e_3DAnimationStyleBounce = 2 }
| Enumeration for animation style for the 3D advanced setting type. More...
enum | PDF3DDefaultViews { PDF3DDefaultViews.e_3DDefaultViewsNoViews = 0, PDF3DDefaultViews.e_3DDefaultViewsLeftTopFrontIsoAllOrtho = 1, PDF3DDefaultViews.e_3DDefaultViewsLeftTopFrontIsoAllPerspective = 2, PDF3DDefaultViews.e_3DDefaultViewsLeftTopFrontOrthoIsoPerspective = 3, PDF3DDefaultViews.e_3DDefaultViewsLeftTopFrontPerspectiveIsoOrtho = 4, PDF3DDefaultViews.e_3DDefaultViewsLeftTopFrontRightBottomBackAllOrtho = 5, PDF3DDefaultViews.e_3DDefaultViewsFromFile = 6 }
| Enumeration for default views for the 3D advanced setting type. More...
enum | PDF3DLightingScheme { PDF3DLightingScheme.e_3DLightingSchemeNone = 0, PDF3DLightingScheme.e_3DLightingSchemeFromFile = 1, PDF3DLightingScheme.e_3DLightingSchemeNoLights = 2, PDF3DLightingScheme.e_3DLightingSchemeWhiteLights = 3, PDF3DLightingScheme.e_3DLightingSchemeDayLights = 4, PDF3DLightingScheme.e_3DLightingSchemeHardLights = 5, PDF3DLightingScheme.e_3DLightingSchemePrimaryLights = 6, PDF3DLightingScheme.e_3DLightingSchemeNightLights = 7, PDF3DLightingScheme.e_3DLightingSchemeBlueLights = 8, PDF3DLightingScheme.e_3DLightingSchemeRedLights = 9, PDF3DLightingScheme.e_3DLightingSchemeCubeLights = 10, PDF3DLightingScheme.e_3DLightingSchemeCADLights = 11, PDF3DLightingScheme.e_3DLightingSchemeHeadlamp = 12 }
| Enumeration for lighting scheme for the 3D advanced setting type. More...
enum | PDF3DRenderingStyle { PDF3DRenderingStyle.e_3DRenderingStyleNone = 0, PDF3DRenderingStyle.e_3DRenderingStyleBoundingBox = 1, PDF3DRenderingStyle.e_3DRenderingStyleTransparentBoundingBox = 2, PDF3DRenderingStyle.e_3DRenderingStyleTransparentBoundingBoxOutline = 3, PDF3DRenderingStyle.e_3DRenderingStyleVertices = 4, PDF3DRenderingStyle.e_3DRenderingStyleShadedVertices = 5, PDF3DRenderingStyle.e_3DRenderingStyleWireframe = 6, PDF3DRenderingStyle.e_3DRenderingStyleShadedWireframe = 7, PDF3DRenderingStyle.e_3DRenderingStyleSolid = 8, PDF3DRenderingStyle.e_3DRenderingStyleTransparent = 9, PDF3DRenderingStyle.e_3DRenderingStyleSolidWireframe = 10, PDF3DRenderingStyle.e_3DRenderingStyleTransparentWireframe = 11, PDF3DRenderingStyle.e_3DRenderingStyleIllustration = 12, PDF3DRenderingStyle.e_3DRenderingStyleSolidOutline = 13, PDF3DRenderingStyle.e_3DRenderingStyleShadedIllustration = 14, PDF3DRenderingStyle.e_3DRenderingStyleHiddenWireframe = 15 }
| Enumeration for rendering style for the 3D advanced setting type. More...

## Public Member Functions
| PDF3DAdvancedSetting ()
| Constructor.
| PDF3DAdvancedSetting (PDF3DAdvancedSetting advanced_setting)
| Constructor, with another 3D advanced setting object. More...
| PDF3DAdvancedSetting (int background_color, PDF3DAdvancedSetting.PDF3DLightingScheme lighting_scheme, PDF3DAdvancedSetting.PDF3DRenderingStyle rendering_style, PDF3DAdvancedSetting.PDF3DAnimationStyle animation_style, PDF3DAdvancedSetting.PDF3DDefaultViews default_views, bool is_add_default_views, bool is_retain_views_and_comments, bool is_show_tool_bar, bool is_open_model_tree, string script_file_path)
| Constructor with parameter. More...
void | Set (int background_color, PDF3DAdvancedSetting.PDF3DLightingScheme lighting_scheme, PDF3DAdvancedSetting.PDF3DRenderingStyle rendering_style, PDF3DAdvancedSetting.PDF3DAnimationStyle animation_style, PDF3DAdvancedSetting.PDF3DDefaultViews default_views, bool is_add_default_views, bool is_retain_views_and_comments, bool is_show_tool_bar, bool is_open_model_tree, string script_file_path)
| Set the values. More...

## Properties
PDF3DAdvancedSetting.PDF3DAnimationStyle | animation_style`[get, set]`
| The activation animation style setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DAnimationStyle.e_3DAnimationStyleNone and this should be one of these values.
int | background_color`[get, set]`
| The background color.Default value: 0x5e5e5e.
PDF3DAdvancedSetting.PDF3DDefaultViews | default_views`[get, set]`
| The default views setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DDefaultViews.e_3DDefaultViewsNoViews and this should be one of these values.
bool | is_add_default_views`[get, set]`
| This flag indicates whether to add default views. true means to add, while false means not. Default value is false.
bool | is_open_model_tree`[get, set]`
| This flag indicates whether to open model tree. true means to open, while false means not. Default value is false.
bool | is_retain_views_and_comments`[get, set]`
| This flag indicates whether to retain views and comments. true means to retain, while false means not. Default value is false.
bool | is_show_tool_bar`[get, set]`
| This flag indicates whether to show tool bar. true means to show, while false means not. Default value is false.
PDF3DAdvancedSetting.PDF3DLightingScheme | lighting_scheme`[get, set]`
| The lighting scheme setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DLightingScheme.e_3DLightingSchemeNone and this should be one of these values.
PDF3DAdvancedSetting.PDF3DRenderingStyle | rendering_style`[get, set]`
| The activation rendering style setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DRenderingStyle.e_3DRenderingStyleBoundingBox and this should be one of these values.
string | script_file_path`[get, set]`
| This flag indicates the script file path.

## Detailed Description

This class represents 3D advanced setting.

## Member Enumeration Documentation

## ◆ PDF3DAnimationStyle

enum foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DAnimationStyle
| strong

Enumeration for animation style for the 3D advanced setting type.

Values of this enumeration should be used alone.

Enumerator
e_3DAnimationStyleNone | None.
e_3DAnimationStyleLoop | Loop.
e_3DAnimationStyleBounce | Bounce.

## ◆ PDF3DDefaultViews

enum foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DDefaultViews
| strong

Enumeration for default views for the 3D advanced setting type.

Values of this enumeration should be used alone.

Enumerator
e_3DDefaultViewsNoViews | No views.
e_3DDefaultViewsLeftTopFrontIsoAllOrtho | Left,top,front,Iso(all ortho).
e_3DDefaultViewsLeftTopFrontIsoAllPerspective | Left,top,front,Iso(all perspective).
e_3DDefaultViewsLeftTopFrontOrthoIsoPerspective | Left,top,front,(ortho)Iso(perspective).
e_3DDefaultViewsLeftTopFrontPerspectiveIsoOrtho | Left,top,front,(perspective)Iso(ortho).
e_3DDefaultViewsLeftTopFrontRightBottomBackAllOrtho | Left,top,right,front,bottom,back(all ortho).
e_3DDefaultViewsFromFile | Views from file.

## ◆ PDF3DLightingScheme

enum foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DLightingScheme
| strong

Enumeration for lighting scheme for the 3D advanced setting type.

Values of this enumeration should be used alone.

Enumerator
e_3DLightingSchemeNone | None.
e_3DLightingSchemeFromFile | From file.
e_3DLightingSchemeNoLights | No lights.
e_3DLightingSchemeWhiteLights | White lights.
e_3DLightingSchemeDayLights | Day lights.
e_3DLightingSchemeHardLights | Hard lights.
e_3DLightingSchemePrimaryLights | Primary lights.
e_3DLightingSchemeNightLights | Night lights.
e_3DLightingSchemeBlueLights | Blue lights.
e_3DLightingSchemeRedLights | Red lights.
e_3DLightingSchemeCubeLights | Cube lights.
e_3DLightingSchemeCADLights | CAD lights.
e_3DLightingSchemeHeadlamp | Headlamp.

## ◆ PDF3DRenderingStyle

enum foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DRenderingStyle
| strong

Enumeration for rendering style for the 3D advanced setting type.

Values of this enumeration should be used alone.

Enumerator
e_3DRenderingStyleNone | None.
e_3DRenderingStyleBoundingBox | Bounding box.
e_3DRenderingStyleTransparentBoundingBox | Transparent bounding box.
e_3DRenderingStyleTransparentBoundingBoxOutline | Transparent bounding box outline.
e_3DRenderingStyleVertices | Vertices.
e_3DRenderingStyleShadedVertices | Shaded vertices.
e_3DRenderingStyleWireframe | Wireframe.
e_3DRenderingStyleShadedWireframe | Shaded wireframe.
e_3DRenderingStyleSolid | Solid.
e_3DRenderingStyleTransparent | Transparent.
e_3DRenderingStyleSolidWireframe | Solid wireframe.
e_3DRenderingStyleTransparentWireframe | Transparent wireframe.
e_3DRenderingStyleIllustration | Illustration.
e_3DRenderingStyleSolidOutline | Solid outline.
e_3DRenderingStyleShadedIllustration | Shaded illustration.
e_3DRenderingStyleHiddenWireframe | Hidden wireframe.

## Constructor & Destructor Documentation

## ◆ PDF3DAdvancedSetting() [1/2]

foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DAdvancedSetting | ( | PDF3DAdvancedSetting | advanced_setting | ) |
| inline

Constructor, with another 3D advanced setting object.

Parameters

  [in] | advanced_setting | Another 3D advanced setting object.

## ◆ PDF3DAdvancedSetting() [2/2]

foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DAdvancedSetting | ( | int | background_color,
|  | PDF3DAdvancedSetting.PDF3DLightingScheme | lighting_scheme,
|  | PDF3DAdvancedSetting.PDF3DRenderingStyle | rendering_style,
|  | PDF3DAdvancedSetting.PDF3DAnimationStyle | animation_style,
|  | PDF3DAdvancedSetting.PDF3DDefaultViews | default_views,
|  | bool | is_add_default_views,
|  | bool | is_retain_views_and_comments,
|  | bool | is_show_tool_bar,
|  | bool | is_open_model_tree,
|  | string | script_file_path
| ) |  |
| inline

Constructor with parameter.

Parameters

  [in] | background_color | The background color. Default value: 0x5e5e5e.
  [in] | lighting_scheme | The lighting scheme setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DLightingScheme.e_3DLightingSchemeNone and this should be one of these values.
  [in] | rendering_style | The activation rendering style setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DRenderingStyle.e_3DRenderingStyleBoundingBox and this should be one of these values.
  [in] | animation_style | The activation animation setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DAnimationStyle.e_3DAnimationStyleNone and this should be one of these values.
  [in] | default_views | The default views setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DDefaultViews.e_3DDefaultViewsNoViews and this should be one of these values.
  [in] | is_add_default_views | This flag indicates whether to add default views.
  [in] | is_retain_views_and_comments | This flag indicates whether to retain views and comments.
  [in] | is_show_tool_bar | This flag indicates whether to show tool bar.
  [in] | is_open_model_tree | This flag indicates whether to open model tree.
  [in] | script_file_path | The script file path.

## Member Function Documentation

## ◆ Set()

void foxit.addon.pdf3d.PDF3DAdvancedSetting.Set | ( | int | background_color,
|  | PDF3DAdvancedSetting.PDF3DLightingScheme | lighting_scheme,
|  | PDF3DAdvancedSetting.PDF3DRenderingStyle | rendering_style,
|  | PDF3DAdvancedSetting.PDF3DAnimationStyle | animation_style,
|  | PDF3DAdvancedSetting.PDF3DDefaultViews | default_views,
|  | bool | is_add_default_views,
|  | bool | is_retain_views_and_comments,
|  | bool | is_show_tool_bar,
|  | bool | is_open_model_tree,
|  | string | script_file_path
| ) |  |
| inline

Set the values.

Parameters

  [in] | background_color | The background color.Default value: 0x5e5e5e.
  [in] | lighting_scheme | The lighting scheme setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DLightingScheme.e_3DLightingSchemeNone and this should be one of these values.
  [in] | rendering_style | The activation rendering style setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DRenderingStyle.e_3DRenderingStyleBoundingBox and this should be one of these values.
  [in] | animation_style | The activation animation style setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DAnimationStyle.e_3DAnimationStyleNone and this should be one of these values.
  [in] | default_views | The default views setting for 3D. Please refer to values starting from foxit.addon.pdf3d.PDF3DAdvancedSetting.PDF3DDefaultViews.e_3DDefaultViewsNoViews and this should be one of these values.
  [in] | is_add_default_views | This flag indicates whether to add default views.
  [in] | is_retain_views_and_comments | This flag indicates whether to retain views and comments.
  [in] | is_show_tool_bar | This flag indicates whether to show tool bar.
  [in] | is_open_model_tree | This flag indicates whether to open model tree.
  [in] | script_file_path | The script file path.

Returns
  None.